Callisto4Bootloader: DWT_Type Struct Reference

Callisto4Bootloader

Data Fields
DWT_Type Struct Reference
Defines and Type Definitions » Status and Control Registers » Nested Vectored Interrupt Controller (NVIC) » System Control Block (SCB) » System Controls not in SCB (SCnSCB) » System Tick Timer (SysTick) » Instrumentation Trace Macrocell (ITM) » Data Watchpoint and Trace (DWT)

Structure type to access the Data Watchpoint and Trace Register (DWT). More...

`#include <core_armv81mml.h>`

## Data Fields

__IOM uint32_t | CTRL
__IOM uint32_t | CYCCNT
__IOM uint32_t | CPICNT
__IOM uint32_t | EXCCNT
__IOM uint32_t | SLEEPCNT
__IOM uint32_t | LSUCNT
__IOM uint32_t | FOLDCNT
__IM uint32_t | PCSR
__IOM uint32_t | COMP0
uint32_t | RESERVED1 [1U]
__IOM uint32_t | FUNCTION0
uint32_t | RESERVED2 [1U]
__IOM uint32_t | COMP1
uint32_t | RESERVED3 [1U]
__IOM uint32_t | FUNCTION1
uint32_t | RESERVED4 [1U]
__IOM uint32_t | COMP2
uint32_t | RESERVED5 [1U]
__IOM uint32_t | FUNCTION2
uint32_t | RESERVED6 [1U]
__IOM uint32_t | COMP3
uint32_t | RESERVED7 [1U]
__IOM uint32_t | FUNCTION3
uint32_t | RESERVED8 [1U]
__IOM uint32_t | COMP4
uint32_t | RESERVED9 [1U]
__IOM uint32_t | FUNCTION4
uint32_t | RESERVED10 [1U]
__IOM uint32_t | COMP5
uint32_t | RESERVED11 [1U]
__IOM uint32_t | FUNCTION5
uint32_t | RESERVED12 [1U]
__IOM uint32_t | COMP6
uint32_t | RESERVED13 [1U]
__IOM uint32_t | FUNCTION6
uint32_t | RESERVED14 [1U]
__IOM uint32_t | COMP7
uint32_t | RESERVED15 [1U]
__IOM uint32_t | FUNCTION7
uint32_t | RESERVED16 [1U]
__IOM uint32_t | COMP8
uint32_t | RESERVED17 [1U]
__IOM uint32_t | FUNCTION8
uint32_t | RESERVED18 [1U]
__IOM uint32_t | COMP9
uint32_t | RESERVED19 [1U]
__IOM uint32_t | FUNCTION9
uint32_t | RESERVED20 [1U]
__IOM uint32_t | COMP10
uint32_t | RESERVED21 [1U]
__IOM uint32_t | FUNCTION10
uint32_t | RESERVED22 [1U]
__IOM uint32_t | COMP11
uint32_t | RESERVED23 [1U]
__IOM uint32_t | FUNCTION11
uint32_t | RESERVED24 [1U]
__IOM uint32_t | COMP12
uint32_t | RESERVED25 [1U]
__IOM uint32_t | FUNCTION12
uint32_t | RESERVED26 [1U]
__IOM uint32_t | COMP13
uint32_t | RESERVED27 [1U]
__IOM uint32_t | FUNCTION13
uint32_t | RESERVED28 [1U]
__IOM uint32_t | COMP14
uint32_t | RESERVED29 [1U]
__IOM uint32_t | FUNCTION14
uint32_t | RESERVED30 [1U]
__IOM uint32_t | COMP15
uint32_t | RESERVED31 [1U]
__IOM uint32_t | FUNCTION15
uint32_t | RESERVED32 [934U]
__IM uint32_t | LSR
uint32_t | RESERVED33 [1U]
__IM uint32_t | DEVARCH
uint32_t | RESERVED0 [6U]
__IOM uint32_t | MASK0
__IOM uint32_t | MASK1
__IOM uint32_t | MASK2
__IOM uint32_t | MASK3
__OM uint32_t | LAR

## Detailed Description

Structure type to access the Data Watchpoint and Trace Register (DWT).

Definition at line 1201 of file core_armv81mml.h.

The documentation for this struct was generated from the following files:

- CMSIS/core_armv81mml.h
- CMSIS/core_armv8mbl.h
- CMSIS/core_armv8mml.h
- CMSIS/core_cm7.h